Skip to main content
POST
Create SLURM bootstrap configuration

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string<uuid>
required

A UUID string identifying this site.

Body

Create payload for a site's exact device-role bootstrap configuration.

image and flavor are required. features defaults to an empty list. user_data and gres are optional (nullable).

device_role
string<uuid>
required
image
string
required
flavor
string
required
features
string[]
gres
string | null
user_data
string | null

Response

Protected exact-row representation of site-role SLURM bootstrap configuration.

site
string<uuid>
required
read-only
device_role
string<uuid>
required
image
string | null
required
flavor
string | null
required
features
string[]
required
gres
string | null
required
user_data
string | null
required
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only